BlackBerryOS.com - BlackBerry Messenger 7 Now Supports OS 4.5 And Up
  • BlackBerry Messenger 7 Now Supports OS 4.5 And Up


    Support for BBM 7 has finally come to those BlackBerry users who are running older operating systems (OS 4.5 and 5.0). When we told you about BBM 7 leaving beta back on December 10th, BBM 7 was only available for OS 6, 7 and 7.1. RIM promised that early in the new year that they would offer support for older OS phones and they've come through albeit very quietly.

    BlackBerry Messenger 7 for you older OS users now offers BlackBerry Voice. This allows you to make phone calls to your BBM contacts over Wi-Fi. BBM 7 offers up more goodies as well, such as 16 new emoticons, split screen feature and direct BBM Update notifications.

    Download BBM 7 w/voice for free from BlackBerry App World.

    UPDATE: While you may be able to install BBM 7.0 on BlackBerry OS 4.5 and 5.0, RIM's official stance on the matter is that "BBM 7.0 and BBM Voice requires BBOS 6.0 or above."


    comments powered by Disqus